# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mailbox/riscv,sbi-mpxy-mbox.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: RISC-V SBI Message Proxy (MPXY) extension based mailbox

maintainers:
  - Anup Patel <anup@brainfault.org>

description: |
  The RISC-V SBI Message Proxy (MPXY) extension [1] allows supervisor
  software to send messages through the SBI implementation (M-mode
  firmware or HS-mode hypervisor). The underlying message protocol
  and message format used by the supervisor software could be some
  other standard protocol compatible with the SBI MPXY extension
  (such as RISC-V Platform Management Interface (RPMI) [2]).

  ===========================================
  References
  ===========================================

  [1] RISC-V Supervisor Binary Interface (SBI) v3.0 (or higher)
      https://github.com/riscv-non-isa/riscv-sbi-doc/releases

  [2] RISC-V Platform Management Interface (RPMI) v1.0 (or higher)
      https://github.com/riscv-non-isa/riscv-rpmi/releases

properties:
  compatible:
    const: riscv,sbi-mpxy-mbox

  "#mbox-cells":
    const: 2
    description:
      The first cell specifies channel_id of the SBI MPXY channel,
      the second cell specifies MSG_PROT_ID of the SBI MPXY channel

required:
  - compatible
  - "#mbox-cells"

additionalProperties: false

examples:
  - |
    mailbox {
          compatible = "riscv,sbi-mpxy-mbox";
          #mbox-cells = <2>;
    };
